CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Installing OpenFOAM 2.2.0 on Ubuntu 12.10 i686 (http://www.cfd-online.com/Forums/openfoam-installation/118034-installing-openfoam-2-2-0-ubuntu-12-10-i686.html)

AHutchison May 20, 2013 02:24

Installing OpenFOAM 2.2.0 on Ubuntu 12.10 i686
 
Hey everyone,

I'm a complete beginner with Ubuntu having always been a windows user, but I require OpenFOAM for my thesis.

I'm having trouble with the installation of OpenFOAM 2.2.0 in Ubuntu 12.10 using the i686 architecture.

I have tried both Deb and Source pack installations but I cant get either to work.

I have tried installing by following the steps in this link http://openfoamwiki.net/index.php/In...M-2.2.0/Ubuntu
but there is no 3rd step for i686.

I would like to know:

what is the difference between deb pack and source pack installation?
Which one do I use?
How to install OpenFOAM 2.2.0 for ubuntu 12.10 using i686

Much appreciated, please remember I am completely new to this!

wyldckat May 20, 2013 17:14

Greetings Angus,

Quote:

Originally Posted by AHutchison (Post 428631)
I have tried installing by following the steps in this link http://openfoamwiki.net/index.php/In...M-2.2.0/Ubuntu
but there is no 3rd step for i686.

Sorry, my fault, I have a force of habit of writing i386 instead of i686. Nowadays it's almost all the same. Nonetheless, I've updated the wiki page to avoid confusion.

Quote:

Originally Posted by AHutchison (Post 428631)
I would like to know:

what is the difference between deb pack and source pack installation?
Which one do I use?
How to install OpenFOAM 2.2.0 for ubuntu 12.10 using i686

Well, the Deb pack is a install-n-play solution for installing OpenFOAM. It meets most of the needs of any OpenFOAM user.
Building from source gives the ability to build on any Linux Distribution, as well as having more control on how things are built. It also makes it easier to modify the source code and build it again.

Quote:

Originally Posted by AHutchison (Post 428631)
How to install OpenFOAM 2.2.0 for ubuntu 12.10 using i686

As I wrote in the beginning, you can continue to follow the instructions for i386/i686.
Or you can give some more information on what happened when you tried to install the Deb pack version.

Best regards,
Bruno

Amir1 May 21, 2013 19:21

Guys,

Can you help me how I can install UBUNTO and OPEN FOAM?

Thanks,
Amir

AHutchison May 21, 2013 22:44

Quote:

Originally Posted by wyldckat (Post 428748)
Greetings Angus,


Sorry, my fault, I have a force of habit of writing i386 instead of i686. Nowadays it's almost all the same. Nonetheless, I've updated the wiki page to avoid confusion.


Well, the Deb pack is a install-n-play solution for installing OpenFOAM. It meets most of the needs of any OpenFOAM user.
Building from source gives the ability to build on any Linux Distribution, as well as having more control on how things are built. It also makes it easier to modify the source code and build it again.


As I wrote in the beginning, you can continue to follow the instructions for i386/i686.
Or you can give some more information on what happened when you tried to install the Deb pack version.

Best regards,
Bruno

Here is what i get trying to install the Deb pack version:

Step 1 -
ubuntu@ubuntu:~$ VERS=$(lsb_release -cs)
ubuntu@ubuntu:~$ sudo sh -c "echo deb http://www.openfoam.org/download/ubuntu $VERS main > /etc/apt/sources.list.d/openfoam.list"

Step 2 -
ubuntu@ubuntu:~$ sudo apt-get update
Ign cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release i386 (20121017.2) quantal InRelease
Ign cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release i386 (20121017.2) quantal/main Translation-en_US
Ign cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release i386 (20121017.2) quantal/main Translation-en
Ign cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release i386 (20121017.2) quantal/restricted Translation-en_US
Ign cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release i386 (20121017.2) quantal/restricted Translation-en
Ign http://security.ubuntu.com quantal-security InRelease
Ign http://archive.ubuntu.com quantal InRelease
Ign http://www.openfoam.org quantal InRelease
Ign http://archive.ubuntu.com quantal-updates InRelease
Hit http://security.ubuntu.com quantal-security Release.gpg
Ign http://www.openfoam.org quantal Release.gpg
Hit http://archive.ubuntu.com quantal Release.gpg
Hit http://security.ubuntu.com quantal-security Release
Get:1 http://archive.ubuntu.com quantal-updates Release.gpg [933 B]
Ign http://www.openfoam.org quantal Release
Hit http://security.ubuntu.com quantal-security/main i386 Packages
Hit http://archive.ubuntu.com quantal Release
Ign http://www.openfoam.org quantal/main i386 Packages/DiffIndex
Get:2 http://archive.ubuntu.com quantal-updates Release [49.6 kB]
Hit http://security.ubuntu.com quantal-security/restricted i386 Packages
Hit http://security.ubuntu.com quantal-security/main Translation-en
Hit http://archive.ubuntu.com quantal/main i386 Packages
Hit http://archive.ubuntu.com quantal/restricted i386 Packages
Hit http://security.ubuntu.com quantal-security/restricted Translation-en
Hit http://archive.ubuntu.com quantal/main Translation-en
Hit http://archive.ubuntu.com quantal/restricted Translation-en
Get:3 http://archive.ubuntu.com quantal-updates/main i386 Packages [235 kB]
Ign http://security.ubuntu.com quantal-security/main Translation-en_US
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_US
Hit http://www.openfoam.org quantal/main i386 Packages
Ign http://www.openfoam.org quantal/main Translation-en_US
Ign http://www.openfoam.org quantal/main Translation-en
Get:4 http://archive.ubuntu.com quantal-updates/restricted i386 Packages [4,841 B]
Hit http://archive.ubuntu.com quantal-updates/main Translation-en
Hit http://archive.ubuntu.com quantal-updates/restricted Translation-en
Ign http://archive.ubuntu.com quantal/main Translation-en_US
Ign http://archive.ubuntu.com quantal/restricted Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/main Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en_US
Fetched 291 kB in 12s (24.0 kB/s)
Reading package lists... Done

Step 3 -
ubuntu@ubuntu:~$ sudo apt-get install openfoam220
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
openfoam220 : Depends: csh but it is not installable
Depends: libopenmpi1.3 but it is not installable
Depends: libptscotch-5.1 but it is not installable
Depends: libscotch-5.1 but it is not installable
Depends: libscotch-dev but it is not installable
Depends: libopenmpi-dev but it is not installable
Depends: openmpi-bin but it is not installable
Recommends: libptscotch-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


Which is where i think things are going wrong (step 3)

wyldckat May 22, 2013 18:40

Hi Angus,

The "universe" repository isn't turned on. For more information on how to turn it on: http://askubuntu.com/questions/78613...e-command-line

After turning it back on, don't forget to do step #2 once again!

Best regards,
Bruno

AHutchison May 22, 2013 19:53

Hi Bruno,

Everything seems to be installing quite nicely now, thank you very much! You're probably my favourite person at the moment!

Gus

Sbr_CFD June 4, 2013 12:11

1 Attachment(s)
-----------------------------

My problem in installing the OpenFOAM was solved.

Best Regards


All times are GMT -4. The time now is 22:00.